Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 153206

Summary: hotplug net.agent does not provide hooks to external programs
Product: [Fedora] Fedora Reporter: Michal Jaegermann <michal>
Component: hotplugAssignee: Bill Nottingham <notting>
Status: CLOSED DEFERRED QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 3CC: mattdm, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-07-11 16:50:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michal Jaegermann 2005-04-02 21:21:54 UTC
Description of problem:

When trying to make FC3 with a cardbus wifi card identified as
"Atheros Communications, Inc.",  0271,0012 for manfid (actually
badged by D-Link as DWL-G650) I found that to get it really working
besides of madwifi kernel support I need also 'wpa_supplicant' program,
http://hostap.epitest.fi/

After figuring out that I really should look at hotplug, which was not
that obvious,  I found that I have to add a custom code to
net.agent as otherwise there are no ways to deal with extra programs,
like said wpa_supplicant.  On the top of that remove events are not
handled at all (see bug 127283, bug 150382) while I need to stop there
both dhclient on that interace and wpa_supplicant.

That would be not not that bad if not that detail that with the next
update I would have to make a custom net.agent again.  "Official" hooks
would be so much better.  Something like that, for example:

   if [ -e /etc/hotplug/custom/net.add.handler ] ; then
       source /etc/hotplug/custom/net.add.handler
   else
       # "regular" handler here
   fi

With other hotplug agents possibly too.

Version-Release number of selected component (if applicable):
hotplug-2004_04_01-8.1

Comment 1 Matthew Miller 2006-07-10 23:45:14 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Bill Nottingham 2006-07-11 16:50:23 UTC
net.agent is no longer used in current code; there is a udev rule that is used
for this.

Other udev rules could be added for other programs to be run at the same time
(or earlier.)